[algogeeks] Microsoft interview question

2010-12-12 Thread ebrima saye
I can only think of one way off the top of my head:

class IndexedDocument {
HashTableString, int index;
String contents;

   /// Build an index of words and their position in the document
void buildIndex() {
for each word in document {
   add word, position to index
}
}
Boolean searchFor(String word) {
 // use inxed to look up
}
}

-- 
You received this message because you are subscribed to the Google Groups 
Algorithm Geeks group.
To post to this group, send email to algoge...@googlegroups.com.
To unsubscribe from this group, send email to 
algogeeks+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/algogeeks?hl=en.



Re: [algogeeks] help me reduce the time limit

2010-12-12 Thread Amir hossein Shahriari
use segment tree
http://en.wikipedia.org/wiki/Segment_tree

-- 
You received this message because you are subscribed to the Google Groups 
Algorithm Geeks group.
To post to this group, send email to algoge...@googlegroups.com.
To unsubscribe from this group, send email to 
algogeeks+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/algogeeks?hl=en.



Re: [algogeeks] Re: Microsoft interview question

2010-12-12 Thread Amir hossein Shahriari
use suffix tree it's much faster than simple trie
with ukkonen's method you can build it in O(size of document) and then
searching in it is practically O(1)
http://en.wikipedia.org/wiki/Suffix_tree
http://www.cs.helsinki.fi/u/ukkonen/SuffixT1withFigs.pdf

On Fri, Dec 10, 2010 at 7:54 PM, ADITYA KUMAR aditya...@gmail.com wrote:

 @ligerdave
 agree with u :)





 --
 Regards
 Aditya Kumar
 B-tech 3rd year
 Computer Science  Engg.
 MNNIT, Allahabad.

 --
 You received this message because you are subscribed to the Google Groups
 Algorithm Geeks group.
 To post to this group, send email to algoge...@googlegroups.com.
 To unsubscribe from this group, send email to
 algogeeks+unsubscr...@googlegroups.comalgogeeks%2bunsubscr...@googlegroups.com
 .
 For more options, visit this group at
 http://groups.google.com/group/algogeeks?hl=en.


-- 
You received this message because you are subscribed to the Google Groups 
Algorithm Geeks group.
To post to this group, send email to algoge...@googlegroups.com.
To unsubscribe from this group, send email to 
algogeeks+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/algogeeks?hl=en.



Re: [algogeeks] just confirming my answer

2010-12-12 Thread Terence

I think the answer is (2^m)^(2^n) (or  2^(m*2^n))
For m=1, the answer is 2^2^n.

We can express the function using a truth table with 2^n entries, one 
entry for each possible input set.

And each entry has (n+m) fields, represent the n inputs and m outputs.
The m*2^n output fields can be filled freely.

So there are 2^(m*2^n)  different truth tables.



On 2010-12-10 18:59, ankit sablok wrote:

Q) an n-input m-output boolean function is defined as follows

 (F:{True,False}^n-{True,False}
^m)

find the number of n X 1 functions meaning n inputs and 1 output
and n X m funcrtions meaning n inputs and m outputs

my answer

at any time we can reduce the problems as follows

in the domain we will always be havibg n input variables and the co-
domain can be thought of as having 2 values {True and False}
condisering this i get the number of n X 1 functions as
2^n. Please do suggest me the alternative if i am wrong. thanx in
advance

and the nswer reamins the sam for me in case of finding the number of
n X m functions.

Please help me out if i m wrong in solving this thanx in advance



--
You received this message because you are subscribed to the Google Groups Algorithm 
Geeks group.
To post to this group, send email to algoge...@googlegroups.com.
To unsubscribe from this group, send email to 
algogeeks+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/algogeeks?hl=en.



Re: [algogeeks] Longest interval with maximum sum

2010-12-12 Thread Amir hossein Shahriari
each value in A and B is 0 or 1 so the sum of all elements in A (or B) is n
so the sum of all elements in C which is the sum of differences between
values in A and B is between -n and n
now we want to maximize j-i for which C[i]+C[i+1]+...+C[j] = 0
suppose that sum(i) = C[1]+C[2]+...+C[i] which is sum of first i elements in
C
if sum(i)==sum(j) this means that C[i]+C[i+1]+...C[j] = 0
and we know that -n=sum(i)=n
so we can build another array aux which aux[k] is -1 if there was not any i
for which sum(i)=k or aux[k]=first i for which sum(i)=k
here's a sample code for the rest:

sum=0;
aux[0]=0;
for (i=0;in;i++){
sum+=C[i];
if (aux[sum]==-1)
aux[sum]=i+1;
else
  result=max(result,i+1-aux[sum]);
}
return result;

On Sat, Dec 11, 2010 at 3:30 PM, ADITYA KUMAR aditya...@gmail.com wrote:


 @amir can u explain a bit more...

 On Tue, Dec 7, 2010 at 10:09 PM, Amir hossein Shahriari 
 amir.hossein.shahri...@gmail.com wrote:

 @jai : since sum of all values in C is between -n and n the last step can
 be done in O(n) time and O(n) space


 On Sun, Dec 5, 2010 at 12:44 PM, jai gupta sayhelloto...@gmail.comwrote:

 @fenghuang: the last step will take O(n logn ) . Or there is some better
 way?

 --
 You received this message because you are subscribed to the Google Groups
 Algorithm Geeks group.
 To post to this group, send email to algoge...@googlegroups.com.
 To unsubscribe from this group, send email to
 algogeeks+unsubscr...@googlegroups.comalgogeeks%2bunsubscr...@googlegroups.com
 .
 For more options, visit this group at
 http://groups.google.com/group/algogeeks?hl=en.


  --
 You received this message because you are subscribed to the Google Groups
 Algorithm Geeks group.
 To post to this group, send email to algoge...@googlegroups.com.
 To unsubscribe from this group, send email to
 algogeeks+unsubscr...@googlegroups.comalgogeeks%2bunsubscr...@googlegroups.com
 .
 For more options, visit this group at
 http://groups.google.com/group/algogeeks?hl=en.




 --
 Regards
 Aditya Kumar
 B-tech 3rd year
 Computer Science  Engg.
 MNNIT, Allahabad.

  --
 You received this message because you are subscribed to the Google Groups
 Algorithm Geeks group.
 To post to this group, send email to algoge...@googlegroups.com.
 To unsubscribe from this group, send email to
 algogeeks+unsubscr...@googlegroups.comalgogeeks%2bunsubscr...@googlegroups.com
 .
 For more options, visit this group at
 http://groups.google.com/group/algogeeks?hl=en.


-- 
You received this message because you are subscribed to the Google Groups 
Algorithm Geeks group.
To post to this group, send email to algoge...@googlegroups.com.
To unsubscribe from this group, send email to 
algogeeks+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/algogeeks?hl=en.



Re: [algogeeks] Valid Array

2010-12-12 Thread Terence

No. You made the same mistake as I.
Try this case: {1, 2, 2, 5, 5}.
Actually, this case defeats the solution of Manmeet's, yours, and mine.
(same min/max, same sum, same xor result)

I think the key point is that the N variable cannot be determined by 1 
or 2 equation constraint.



On 2010-12-10 9:44, ADITYA KUMAR wrote:

@jai
yeah, it can be done using count sort logic
but that will take O(n) extra space

which can be avoided by using XOR.

On Fri, Dec 10, 2010 at 3:34 AM, jai gupta sayhelloto...@gmail.com 
mailto:sayhelloto...@gmail.com wrote:


Algo:
In first traverse find the min and the max values.
if (max-min)  not equals (N-1)
return false
In next traverse map each in a hashtable of size N where
index=key-min. Now in case of collision return false
return true
-- 
You received this message because you are subscribed to the Google

Groups Algorithm Geeks group.
To post to this group, send email to algogeeks@googlegroups.com
mailto:algogeeks@googlegroups.com.
To unsubscribe from this group, send email to
algogeeks+unsubscr...@googlegroups.com
mailto:algogeeks%2bunsubscr...@googlegroups.com.
For more options, visit this group at
http://groups.google.com/group/algogeeks?hl=en.




--
Regards
Aditya Kumar
B-tech 3rd year
Computer Science  Engg.
MNNIT, Allahabad.
--
You received this message because you are subscribed to the Google 
Groups Algorithm Geeks group.

To post to this group, send email to algoge...@googlegroups.com.
To unsubscribe from this group, send email to 
algogeeks+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/algogeeks?hl=en.


--
You received this message because you are subscribed to the Google Groups Algorithm 
Geeks group.
To post to this group, send email to algoge...@googlegroups.com.
To unsubscribe from this group, send email to 
algogeeks+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/algogeeks?hl=en.



[algogeeks] Call for Papers Sessions: The 2011 International Conference on Foundations of Computer Science (FCS'11), USA, July 18-21, 2011

2010-12-12 Thread A. M. G. Solo
   CALL  FOR  PAPERS
 and
  Call For Workshop/Session Proposals
 
    FCS'11
   The 2011 International Conference on Foundations
 of Computer Science
 
   Date and Location: July 18-21, 2011, USA
 
   http://www.world-academy-of-science.org/
   Location: See the above web site for venue/city
 
You are invited to submit a full paper for consideration. All
accepted papers will be published in the FCS conference
proceedings (in printed book form; later, the proceedings will
also be accessible online). Those interested in proposing
workshops/sessions, should refer to the relevant sections that
appear below.
 
 
SCOPE: Topics of interest include, but are not limited to, the following:
 
O  Quantum Computing
O  Game theory and methods
O  Computational number theory
O  Logic in computer science
O  Theory of computing and formal systems
O  Automata and formal languages
O  Optimization methods
O  Coding theory
O  Novel data structures
O  Languages
O  Complexity theory (including circuit complexity)
O  Theory of parallel and distributed computing
O  Graph algorithms and graph drawing
O  Deduction
O  Combinatorics
O  Algorithms
O  Probabilistic and randomized methodologies
O  Approximation methods
O  Parametrized complexity (including Kolmogorov, ...)
O  Non-linear dynamics and chaos
O  Computational biology and bioinformatics
O  Cryptography
O  Novel compression methods
O  Database theory
O  Queuing methods
O  Pansystems
O  Foundations of computer security
O  Model checking and computer-aided verification
O  Models of computation
O  Computational geometry
O  Semantics, concurrency and type theory
O  Scheduling methods
O  Models of internet computing
O  Other emerging topics
 
 
USEFUL WEB LINKS:
To see the DBLP list of accepted papers of FCS 2009, go to:
http://www.informatik.uni-trier.de/~ley/db/conf/fcs/fcs2009.html
The DBLP list of accepted papers of FCS 2010 will soon appear at:
http://www.informatik.uni-trier.de/~ley/db/conf/fcs/fcs2010.html
The main web site of FCS'11 is currently under construction, it will
soon appear at: http://www.world-academy-of-science.org/
 
 
IMPORTANT DATES:
 
March 10, 2011:    Submission of papers (about 5 to 7 pages)
April 03, 2011:    Notification of acceptance (+/- two days)
April 24, 2011:    Final papers + Copyright/Consent + Registration
July 18-21, 2011:  The 2011 International Conference on Foundations
   of Computer Science (FCS'11)
 
 
ACADEMIC CO-SPONSORS:
 
Currently being prepared - The Academic sponsors of the last offering
of FCS (2010) included research labs and centers affiliated
with (a partial list): University of California, Berkeley; University
of Southern California; University of Texas at Austin; Harvard
University, Cambridge, Massachusetts; Georgia Institute of Technology,
Georgia; Emory University, Georgia; University of Minnesota;
University of Iowa; University of North Dakota; NDSU-CIIT Green
Computing  Comm. Lab.; University of Siegen, Germany; UMIT, Austria;
SECLAB (University of Naples Federico II + University of Naples
Parthenope + Second University of Naples, Italy); National Institute
for Health Research; World Academy of Biomedical Sciences and
Technologies; Russian Academy of Sciences, Russia; International
Society of Intelligent Biological Medicine (ISIBM); The International
Council on Medical and Care Compunetics; Eastern Virginia Medical
School  the American College of Surgeons, USA.
 
 
SUBMISSION OF PAPERS:
 
Prospective authors are invited to submit their papers by uploading
them to the evaluation web site at:  http://world-comp.org
Submissions must be uploaded by March 10, 2011 and they must be
in either MS doc (but not docx) or pdf formats (about 5 to 7
pages - single space, font size of 10 to 12). All reasonable
typesetting formats are acceptable (later, the authors of accepted
papers will be asked to follow a particular typesetting format to
prepare their final papers for publication.) Papers must not have
been previously published or currently submitted for publication
elsewhere.
The first page of the paper should include: title of the paper,
name, affiliation, postal address, and email address for each
author. The first page should also identify the name of the Contact
Author and a maximum of 5 topical keywords that would best
represent the content of the paper. Finally, the name of the
conference (ie, FCS) that the paper is being submitted for
consideration must be stated on the first page.
 
The length of the final/Camera-Ready papers (if accepted) will be
limited to 7 (two-column IEEE style) pages.
 
Each paper will be peer-reviewed by two experts in the field for
originality, significance, clarity, impact, and soundness. In cases
of contradictory recommendations, a member of the conference
program committee will be charged to make the final decision
(accept/reject) - often, this would 

Re: [algogeeks] Longest interval with maximum sum

2010-12-12 Thread ADITYA KUMAR
@amir nice solution

On Sun, Dec 12, 2010 at 11:40 AM, Amir hossein Shahriari 
amir.hossein.shahri...@gmail.com wrote:

 each value in A and B is 0 or 1 so the sum of all elements in A (or B) is n
 so the sum of all elements in C which is the sum of differences between
 values in A and B is between -n and n
 now we want to maximize j-i for which C[i]+C[i+1]+...+C[j] = 0
 suppose that sum(i) = C[1]+C[2]+...+C[i] which is sum of first i elements
 in C
 if sum(i)==sum(j) this means that C[i]+C[i+1]+...C[j] = 0
 and we know that -n=sum(i)=n
 so we can build another array aux which aux[k] is -1 if there was not any i
 for which sum(i)=k or aux[k]=first i for which sum(i)=k
 here's a sample code for the rest:

 sum=0;
 aux[0]=0;
 for (i=0;in;i++){
 sum+=C[i];
 if (aux[sum]==-1)
 aux[sum]=i+1;
 else
   result=max(result,i+1-aux[sum]);
 }
 return result;


 On Sat, Dec 11, 2010 at 3:30 PM, ADITYA KUMAR aditya...@gmail.com wrote:


 @amir can u explain a bit more...

 On Tue, Dec 7, 2010 at 10:09 PM, Amir hossein Shahriari 
 amir.hossein.shahri...@gmail.com wrote:

 @jai : since sum of all values in C is between -n and n the last step can
 be done in O(n) time and O(n) space


 On Sun, Dec 5, 2010 at 12:44 PM, jai gupta sayhelloto...@gmail.comwrote:

 @fenghuang: the last step will take O(n logn ) . Or there is some better
 way?

 --
 You received this message because you are subscribed to the Google
 Groups Algorithm Geeks group.
 To post to this group, send email to algoge...@googlegroups.com.
 To unsubscribe from this group, send email to
 algogeeks+unsubscr...@googlegroups.comalgogeeks%2bunsubscr...@googlegroups.com
 .
 For more options, visit this group at
 http://groups.google.com/group/algogeeks?hl=en.


  --
 You received this message because you are subscribed to the Google Groups
 Algorithm Geeks group.
 To post to this group, send email to algoge...@googlegroups.com.
 To unsubscribe from this group, send email to
 algogeeks+unsubscr...@googlegroups.comalgogeeks%2bunsubscr...@googlegroups.com
 .
 For more options, visit this group at
 http://groups.google.com/group/algogeeks?hl=en.




 --
 Regards
 Aditya Kumar
 B-tech 3rd year
 Computer Science  Engg.
 MNNIT, Allahabad.

  --
 You received this message because you are subscribed to the Google Groups
 Algorithm Geeks group.
 To post to this group, send email to algoge...@googlegroups.com.
 To unsubscribe from this group, send email to
 algogeeks+unsubscr...@googlegroups.comalgogeeks%2bunsubscr...@googlegroups.com
 .
 For more options, visit this group at
 http://groups.google.com/group/algogeeks?hl=en.


  --
 You received this message because you are subscribed to the Google Groups
 Algorithm Geeks group.
 To post to this group, send email to algoge...@googlegroups.com.
 To unsubscribe from this group, send email to
 algogeeks+unsubscr...@googlegroups.comalgogeeks%2bunsubscr...@googlegroups.com
 .
 For more options, visit this group at
 http://groups.google.com/group/algogeeks?hl=en.




-- 
Regards
Aditya Kumar
B-tech 3rd year
Computer Science  Engg.
MNNIT, Allahabad.

-- 
You received this message because you are subscribed to the Google Groups 
Algorithm Geeks group.
To post to this group, send email to algoge...@googlegroups.com.
To unsubscribe from this group, send email to 
algogeeks+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/algogeeks?hl=en.



[algogeeks] programming puzzles

2010-12-12 Thread awesomeandroid
visit this blog
http://code-forum.blogspot.com/
and http://coders-stop.blogspot.com/
for programming puzzles.

-- 
You received this message because you are subscribed to the Google Groups 
Algorithm Geeks group.
To post to this group, send email to algoge...@googlegroups.com.
To unsubscribe from this group, send email to 
algogeeks+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/algogeeks?hl=en.



[algogeeks] Find small strings in big string

2010-12-12 Thread Prims
Given that you have one string of length N and M small strings of
length L . How do you efficiently find the occurrence of each small
string in the larger one

I heard the best solution for this problem is to use generalized
suffix tree. Can any one explain the solution for this problem in
detail

-- 
You received this message because you are subscribed to the Google Groups 
Algorithm Geeks group.
To post to this group, send email to algoge...@googlegroups.com.
To unsubscribe from this group, send email to 
algogeeks+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/algogeeks?hl=en.



[algogeeks] Re: Find small strings in big string

2010-12-12 Thread awesomeandroid
KMP and RabinKarp

On Dec 12, 7:07 pm, Prims topcode...@gmail.com wrote:
 Given that you have one string of length N and M small strings of
 length L . How do you efficiently find the occurrence of each small
 string in the larger one

 I heard the best solution for this problem is to use generalized
 suffix tree. Can any one explain the solution for this problem in
 detail

-- 
You received this message because you are subscribed to the Google Groups 
Algorithm Geeks group.
To post to this group, send email to algoge...@googlegroups.com.
To unsubscribe from this group, send email to 
algogeeks+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/algogeeks?hl=en.



Re: [algogeeks] Re: find the number.

2010-12-12 Thread shoban babu
@Dave :but it will take more time. any other solution O(n^2).?

On Sat, Dec 11, 2010 at 7:48 PM, Dave dave_and_da...@juno.com wrote:

 @Naresh: The sequence of numbers generated by this rule for any given
 starting number is called a Collatz Sequence. Try googling it.

 Here is a list of the number of iterations required for n between 1
 and 10,000: http://oeis.org/A006577/b006577.txt. Maybe that will help.

 Dave

 On Dec 11, 7:20 am, Naresh A suryanar...@gmail.com wrote:
  Given range of numbers between A and B (A= B)
  Find the number within given range which has more number of iterations as
  per the following
 
   n { stop ; return iteration number }  if n=1;
   n = 3n+1  if n is odd
   n =  n/2  if n is even
 
  for eg :
 
  n=3 odd
  
  n=10;
  n=5;
  n=16;
  n=8;
  n=4;
  n=2;
  n=1;
 
  iterations : 7
 
  --
  *
  Time complexity= (n^2)
 
  *
  *NARESH ,A*
  **

 --
 You received this message because you are subscribed to the Google Groups
 Algorithm Geeks group.
 To post to this group, send email to algoge...@googlegroups.com.
 To unsubscribe from this group, send email to
 algogeeks+unsubscr...@googlegroups.comalgogeeks%2bunsubscr...@googlegroups.com
 .
 For more options, visit this group at
 http://groups.google.com/group/algogeeks?hl=en.




-- 
Shoban babu.B
M.E.,CSA,
IISc.

-- 
You received this message because you are subscribed to the Google Groups 
Algorithm Geeks group.
To post to this group, send email to algoge...@googlegroups.com.
To unsubscribe from this group, send email to 
algogeeks+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/algogeeks?hl=en.



Re: [algogeeks] Re: solve these puzzles.....very very urgent......thnx in advance

2010-12-12 Thread ADITYA KUMAR
ans for 1st one is 24


On Sat, Nov 27, 2010 at 3:12 PM, vamsi achyuth vamsiachy...@gmail.comwrote:

 these were the problems asked in tcs written exam.


 On 27 November 2010 15:08, srinivas reddy srinivaseev...@gmail.comwrote:

 @youngboy

 you have to choose one value for variable only
 this is  un specified condition otherwise the problem will become silly
 problem


 On Sat, Nov 27, 2010 at 2:09 PM, youngboy vamsiachy...@gmail.com wrote:

 some one cracked answer for N=X-Y-Z As 2 and they given explination as
 follow
 exp:
 •   0-9 digits The basic idea is to get maximum value so if
 alok
 chooses anything more than or equal to 3 then he going to end up only
 with a maximum of 1... example if he takes 3 and banu will choose
 either y or z coz if she chooses ...x then alok will suggest remaining
 values as 0 and 0... now for the second try he has to choose a value
 more than 3 or else bhanu will choose that value for x and N will
 become negative at the end if he chooses 4 then banu will assign
 it to x thus keeping the value of X to 1.. and if chooses 5 then she
 ll assign it z.. Thus value is kept to maximum of 1
 Now lets say alok chooses 2 banu will try to put it to y or z
 now alok chooses 4.. then she ll choose it for x.. thus keeping the
 value of N to 2.. if alok chooses 5 on second try then she ll assign
 for z thus again keeping the value down to 2.

 So only 2 can be Achieved as maximum value for N if they both play
 optimally.
 •


 On 27 Nov, 13:30, youngboy vamsiachy...@gmail.com wrote:
  1) Alok and Bhanu play the following min-max game. Given the
  expression,
 
  N = 12 + X*(Y - Z)
 
  where X, Y and Z are variables representing single digits (0 to 9),
  Alok would like to
  maximize N while Bhanu would like to minimize it. Towards this end,
  Alok chooses
  a single digit number and Bhanu substitutes this for a variable of her
  choice (X, Y or
  Z). Alok then chooses the next value and Bhanu, the variable to
  substitute the value.
  Finally Alok proposes the value for the remaining variable. Assuming
  both play to their
  optimal strategies, the value of N at the end of the game would be
 
  a)12
  b)30
  c)93
  d)-69
 
  2) same question  N=X-Y-Z
 
  3)same question N=N = 38 + X*(Y – Z)
 
  plz provide me clear explination

 --
 You received this message because you are subscribed to the Google Groups
 Algorithm Geeks group.
 To post to this group, send email to algoge...@googlegroups.com.
 To unsubscribe from this group, send email to
 algogeeks+unsubscr...@googlegroups.comalgogeeks%2bunsubscr...@googlegroups.com
 .
 For more options, visit this group at
 http://groups.google.com/group/algogeeks?hl=en.




 --
 www.tcyonline.com


  --
 You received this message because you are subscribed to the Google Groups
 Algorithm Geeks group.
 To post to this group, send email to algoge...@googlegroups.com.
 To unsubscribe from this group, send email to
 algogeeks+unsubscr...@googlegroups.comalgogeeks%2bunsubscr...@googlegroups.com
 .
 For more options, visit this group at
 http://groups.google.com/group/algogeeks?hl=en.


  --
 You received this message because you are subscribed to the Google Groups
 Algorithm Geeks group.
 To post to this group, send email to algoge...@googlegroups.com.
 To unsubscribe from this group, send email to
 algogeeks+unsubscr...@googlegroups.comalgogeeks%2bunsubscr...@googlegroups.com
 .
 For more options, visit this group at
 http://groups.google.com/group/algogeeks?hl=en.




-- 
Regards
Aditya Kumar
B-tech 3rd year
Computer Science  Engg.
MNNIT, Allahabad.

-- 
You received this message because you are subscribed to the Google Groups 
Algorithm Geeks group.
To post to this group, send email to algoge...@googlegroups.com.
To unsubscribe from this group, send email to 
algogeeks+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/algogeeks?hl=en.



Re: [algogeeks] Re: The best multiply matrix algorithms ?

2010-12-12 Thread Rakib Ansary Saikot
It is NOT possible to multiply two matrices in less than O(n^2) simply
because there are n^2 elements, and you got to touch all of them at
least once!

Rakib

On 12/10/10, Luciano Junior luciano@gmail.com wrote:
 Dave, thank You very much for yours information. Really, I want to
 know a theorical big-O algorithm, mainly to interact with sparce
 matrix. We see every day a new technic computation growing world
 information, but I not seen a new and revolutionary multiply matrix
 algorithm that take less than O(n^2). Maby this not will exists, but
 how can we use a parallel programming skills to better to make that
 rotine ? Is this what I should like to know.

 2010/12/8 Dave dave_and_da...@juno.com:
 Are you interested in actual computation speed or are you interested
 in theoretical big-O speed? If you want the fastest computation for a
 specific, reasonable-sized problem with no particular structure (i.e.,
 non-sparse), then using the ordinary matrix multiply algorithm that is
 coded the best will probably beat any theoretically-faster algorithm.
 You probably will find the fastest matrix-multiplication code in one
 of the sets of the so-called Basic Linear Algebra Subprograms (BLAS).
 Check out http://www.netlib.org/blas/faq.html, and especially 5)
 therein: http://www.netlib.org/blas/faq.html#5.

 Dave

 On Dec 8, 6:09 am, Luciano Junior luciano@gmail.com wrote:
 What is best multiply matrix algorithm for:

 -multiply a n x n matrix by another n x n matrix
 -multiply a m x n matrix by a n x p matrix

 I need a best performance cpu algorithm.
 Note: it can use a parallel programming concept.

 Thankfully.
 
 Luciano.

 --
 You received this message because you are subscribed to the Google Groups
 Algorithm Geeks group.
 To post to this group, send email to algoge...@googlegroups.com.
 To unsubscribe from this group, send email to
 algogeeks+unsubscr...@googlegroups.com.
 For more options, visit this group at
 http://groups.google.com/group/algogeeks?hl=en.





 --
 
 Luciano Soares Pinheiro Jr.
 Analista desenvolvedor Sr.

 --
 You received this message because you are subscribed to the Google Groups
 Algorithm Geeks group.
 To post to this group, send email to algoge...@googlegroups.com.
 To unsubscribe from this group, send email to
 algogeeks+unsubscr...@googlegroups.com.
 For more options, visit this group at
 http://groups.google.com/group/algogeeks?hl=en.



-- 
You received this message because you are subscribed to the Google Groups 
Algorithm Geeks group.
To post to this group, send email to algoge...@googlegroups.com.
To unsubscribe from this group, send email to 
algogeeks+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/algogeeks?hl=en.



Re: [algogeeks] Re: Find small strings in big string

2010-12-12 Thread mohit ranjan
@awesomeandroid


how you will use KMP in ths case, can you plz explain ?


Mohit



On Sun, Dec 12, 2010 at 8:01 PM, awesomeandroid
priyaranjan@gmail.comwrote:

 KMP and RabinKarp

 On Dec 12, 7:07 pm, Prims topcode...@gmail.com wrote:
  Given that you have one string of length N and M small strings of
  length L . How do you efficiently find the occurrence of each small
  string in the larger one
 
  I heard the best solution for this problem is to use generalized
  suffix tree. Can any one explain the solution for this problem in
  detail

 --
 You received this message because you are subscribed to the Google Groups
 Algorithm Geeks group.
 To post to this group, send email to algoge...@googlegroups.com.
 To unsubscribe from this group, send email to
 algogeeks+unsubscr...@googlegroups.comalgogeeks%2bunsubscr...@googlegroups.com
 .
 For more options, visit this group at
 http://groups.google.com/group/algogeeks?hl=en.



-- 
You received this message because you are subscribed to the Google Groups 
Algorithm Geeks group.
To post to this group, send email to algoge...@googlegroups.com.
To unsubscribe from this group, send email to 
algogeeks+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/algogeeks?hl=en.



[algogeeks] file handling

2010-12-12 Thread neeraj agarwal
i am facing problem in file handling in C
can any one suggest me how to implement them.

-- 
You received this message because you are subscribed to the Google Groups 
Algorithm Geeks group.
To post to this group, send email to algoge...@googlegroups.com.
To unsubscribe from this group, send email to 
algogeeks+unsubscr...@googlegroups.com.
For more options, visit this group at 
http://groups.google.com/group/algogeeks?hl=en.